package com.kingdee.eas.custom.compensation.basedata;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class CostCenterFactory
{
    private CostCenterFactory()
    {
    }
    public static com.kingdee.eas.custom.compensation.basedata.ICostCenter getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.basedata.ICostCenter)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("579A1746") ,com.kingdee.eas.custom.compensation.basedata.ICostCenter.class);
    }
    
    public static com.kingdee.eas.custom.compensation.basedata.ICostCenter getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.basedata.ICostCenter)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("579A1746") ,com.kingdee.eas.custom.compensation.basedata.ICostCenter.class, objectCtx);
    }
    public static com.kingdee.eas.custom.compensation.basedata.ICostCenter getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.basedata.ICostCenter)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("579A1746"));
    }
    public static com.kingdee.eas.custom.compensation.basedata.ICostCenter getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.basedata.ICostCenter)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("579A1746"));
    }
}